' GMTtime
'   version 0.1
'   by Nessie
' mailto: nessie4@gmx.net


' GMTtime shows a world time of a given offset time in minutes
' (dependent on the GMT). Also the output format can be specified.
'
' tested on Serious Samurize 1.62
'
' There is nothing to edit on this script. place this script in your
' Samurize script folder and load the functions into your config.
'
'
'Specifier    Displays
'
'  d	  day as a number without a leading zero (1-31).
'  dd	  day as a number with a leading zero (01-31).
'  ddd	  day as an abbreviation (Sun-Sat) using the strings given by the
'   	  ShortDayNames global variable.
'  m	  month as a number without a leading zero (1-12).
'  mm 	  month as a number with a leading zero (01-12).
'  mmm	  month as an abbreviation (Jan-Dec) using the strings given by the
'   	  ShortMonthNames global variable.
'  yy	  year as a two-digit number (00-99).
'  yyyy	  year as a four-digit number (0000-9999).
'  h	  hour without a leading zero (0-23).
'  hh	  hour with a leading zero (00-23).
'  n	  minute without a leading zero (0-59).
'  nn	  minute with a leading zero (00-59).
'  s	  second without a leading zero (0-59).
'  ss	  second with a leading zero (00-59).
'  /	  date separator character given by the DateSeparator global variable.
'  :	  time separator character given by the TimeSeparator global variable.



Function GMTtime(MinutesOffset, Format)
  Dim strOutput, difftime
  Set OSobjs = GetObject("winmgmts:").InstancesOf("Win32_OperatingSystem")
  For Each obj In OSobjs
    calcTime = Date() + Time() + (MinutesOffset - obj.CurrentTimeZone) / 1440
  Next
  
  strOut = Format
  strOut = Replace(strOut, "ddd", WeekdayName(Weekday(calcTime, 0), 1, 0))
  strOut = Replace(strOut, "dd", Right( "0" & day(calcTime), 2))
  strOut = Replace(strOut, "d", day(calcTime))
  strOut = Replace(strOut, "mmm", MonthName(Month(calcTime)))
  strOut = Replace(strOut, "mm", Right( "0" & month(calcTime), 2))
  strOut = Replace(strOut, "m", month(calcTime))
  strOut = Replace(strOut, "yyyy", year(calcTime))
  strOut = Replace(strOut, "yy", Right( "0" & year(calcTime), 2))
  strOut = Replace(strOut, "hh", Right( "0" & hour(calcTime), 2))
  strOut = Replace(strOut, "h", hour(calcTime))
  strOut = Replace(strOut, "nn", Right( "0" & minute(calcTime), 2))
  strOut = Replace(strOut, "n", minute(calcTime))
  strOut = Replace(strOut, "ss", Right( "0" & second(calcTime), 2))
  strOut = Replace(strOut, "s", second(calcTime))
  GMTtime = strOut
End Function

